# OpenLayers.Control.Scale

The Scale control displays the current map scale as a ratio (e.g. Scale = 1:1M). By default it is displayed in the lower right corner of the map.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.Scale | The Scale control displays the current map scale as a ratio (e.g.
Properties |
element | {DOMElement}
geodesic | {Boolean} Use geodesic measurement.
Constructor |
OpenLayers.Control.Scale |
Functions |
draw | {DOMElement}
updateScale |

### Properties

### element

{DOMElement}

### geodesic

{Boolean} Use geodesic measurement. Default is false. The recommended setting for maps in EPSG:4326 is false, and true EPSG:900913. If set to true, the scale will be calculated based on the horizontal size of the pixel in the center of the map viewport.

### Constructor

### OpenLayers.Control.Scale

#### Parameters

element | {DOMElement}
options | {Object}

### Functions

### draw

> draw: function()

#### Returns

{DOMElement}

### updateScale

> updateScale: function()

> draw: function()

{DOMElement}

> updateScale: function()

Controls affect the display or behavior of the map.
Close